Subject: [I2nsf] Process discussion on draft-kumar-i2nsf-client-facing-interface-req-00

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 30 Sep 2016 13:14:14 +0100

Hi Diego,
 
I find myself in a difficult position: the I-D in question is authored by people who are paid by Juniper, and I am sponsored as co-chair by Juniper.
Therefore, I don't want to go into details on this particular I-D.
 
However, on this thread you have twice made comments about process that I take issue with.
1. It is unusual to adopt a 00 draft
2. The draft is not mature enough to be adopted
 
For the first point there is "usual" meaning "done most often" and there is "usual" meaning "not supported by process". I think there is nothing in the process that speaks against adoption of a 00 draft in any way. In fact, some I-Ds are created as WG I-Ds without a 00 individual I-D. Others are adopted from 00.  Of course, the most frequent situation is that an individual I-D has several revisions as the authors develop it and attract support in the WG, but the fact of what happens most frequently should not be used as an argument for or against adopting a specific document.
 
For the second point, I don't think "maturity" is a relevant or quantifiable thing for a draft. 
Does it mean "a high revision number"? If so, the authors could quickly spin 5 revisions without changing the content.
Does it mean "no substantial sections left empty"?
Does it mean "has been round for more than 6 months"?
Or does it mean "has been discussed in 27 different email discussions"?
Surely it does not mean "substantially complete and close to being last called for publication".
 
What seems (to me) to be important is:
- Does the WG want to work on this topic?
- Is it in scope for the WG charter?
- Do the chairs believe that the WG can work on this document?
 
The chairs often (although they are not required to) use a poll of the WG to judge answers to these questions.
You may find the slides used in WG chair training to be helpful https://www.ietf.org/edu/documents/IETF78-WGchairs-Adrian-Farrel.pdf
 
I would add one more important point:
When an I-D is a WG I-D, the WG controls the content. The editors are obliged to address issues raised by the WG (either updating the document or rejecting raised concerns) under the principle of consensus.
When an I-D is an individual I-D, the authors can include or exclude whatever they like.
Thus, when a WG wants to work on a topic my view is that it is good to get the document into the care of the WG as soon as possible.

But I will leave further discussion of progressing this document under the care of my co-chair.
 
Cheers,
Adrian